Subject: RE: Big Endian au1550

From: Prashant Viswanathan <[email-masked]>
Date: Wed, 23 Feb 2005 10:30:48 -0800

> On Wed, 2005-02-23 at 11:45 +0000, Ralf Baechle wrote:
> >
> >I recently rewrote the endianes selection in the Kconfig menus.  The
> >individual platforms will now have to explicitly select
> >SYS_SUPPORTS_LITTLE_ENDIAN rsp. SYS_SUPPORTS_BIG_ENDIAN to indicate
> >which endianess they support.  I know that Alchemy supports big endian
> >operation in hardware but no idea if all the Linux code is working
> >properly, so I've been conservative and choose to limit the system
> >to little endian until somebody reports big endianess support to be
> >actually working.
> >
> >  Ralf
>
>
> Fair enough. Has anyone got big-endian au1xxx working ever?
> I'm reasonably flexible to use mipsel, since this is a new board,
> although all our other products are mipseb.
> 
> Since big doesn't work as far as I can see. This must a regression
> as I'm sure I had built a running kernel a month or two back.
> Currently building a pre-christmas linux-mips snapshot to see if that
> works.
> 
> If that doesn't work I'll just start using a mipsel version as I would
> be wary of using big endian if no one else is.
> 
> JP

I have Au1550 running in big endian mode and Linux kernel running on it. The
Linux kernel was compiled big endian using BE toolchain.

Prashant